## org.apache.axis.encoding.ser
Class SimpleSerializerFactory

    java.lang.Object
      |
      +--org.apache.axis.encoding.ser.BaseFactory
            |
            +--org.apache.axis.encoding.ser.BaseSerializerFactory
                  |
                  +--org.apache.axis.encoding.ser.SimpleSerializerFactory

All Implemented Interfaces:
  java.io.Serializable, SerializerFactory, SerializerFactory

public class SimpleSerializerFactory
extends BaseSerializerFactory

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.encoding.ser.BaseSerializerFactory
`getSerializer, javaType, ser, serClass, serClassConstructor, xmlType`

Fields inherited from class org.apache.axis.encoding.ser.BaseFactory
`methodCache`

Constructor Summary
`SimpleSerializerFactory(java.lang.Class javaType, QName xmlType)` Note that the factory is constructed with the QName and xmlType.

Methods inherited from class org.apache.axis.encoding.ser.BaseSerializerFactory
`createFactory, getGeneralPurpose, getGetSerializer, getJavaType, getSerClassConstructor, getSerializerAs, getSerializerAsInternal, getSpecialized, getSupportedMechanismTypes, getXMLType`

Methods inherited from class org.apache.axis.encoding.ser.BaseFactory
`getMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleSerializerFactory

    public SimpleSerializerFactory(java.lang.Class javaType,
                                   QName xmlType)

  Note that the factory is constructed with the QName and xmlType. This is important to allow distinction between primitive values and java.lang wrappers.

Copyright © 2003 Apache Web Services Project. All Rights Reserved.